<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" style="font-size: 10px;font-family: Roboto, sans-serif">
<head th:replace="fragments/bootstrap :: bootstrap">
    <meta charset="UTF-8">
    <title>All Employees</title>
    <link rel="stylesheet" th:href="@{css/style-index.css}">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css">
    <style>
        * {
            margin: 0; padding: 0; box-sizing: border-box;
        }

        .fa-facebook-square:hover,
        .fa-twitter-square:hover,
        .fa-instagram:hover,
        .fa-google-plus-square:hover {
            color: #45e19f;
        }

        @media screen and (min-width: 700px) {
            .card-wrapper {
                flex-direction: row;
                flex-wrap: wrap;
                justify-content: center;
                align-items: center;
            }

            .card {
                margin: 2rem;
                transition: transform .5s ;
            }

            @keyframes fadeIn {
                from {
                    opacity: 0;
                }
                to {
                    opacity: 1;
                }
            }

            .card:nth-child(1) {
                animation: fadeIn .5s .5s backwards;
            }
            .card:nth-child(2) {
                animation: fadeIn .5s .5s backwards;
            }
            .card:nth-child(3) {
                animation: fadeIn .5s .5s backwards;
            }
            .card:nth-child(4) {
                animation: fadeIn .5s .5s backwards;
            }
            .card:nth-child(5) {
                animation: fadeIn .5s .5s backwards;
            }

            .card:hover {
                transform: scale(1.05);
            }
        }
    </style>
</head>
<body style="overflow-x: hidden">
    <nav th:replace="fragments/navbar :: navbar"></nav>

    <section style="padding: 10rem 0;background-color: #fff">
        <div class="container">
            <h1 style="text-transform: uppercase;font-size: 3.5rem; letter-spacing: 3px; margin-right: -3px; margin-bottom: 5rem; text-align: center; color: #333; position: relative; .heading::after { content: ''; width: 10rem; height: .8rem; background-color: #45e19f; position: absolute; bottom: -2rem; left: 50%; transform: translateX(-50%); border-radius: 2rem;} " class="heading">Codebound Employee Registry</h1>
            <div th:if="${noEmployeeFound}">
                <h2>There are no employees registered</h2>
            </div>
            <div class="row">
                <div class="col-4" th:each="employee : ${employees}">
                    <div class="row">
                        <div class="col">
                            <div class="card-wrapper" style="display: flex; align-items: center; align-content: center; flex-direction: column;">
                                <div class="card" style="width: 32rem; background-color: #ebeef8; display: flex; flex-direction: column; align-items: center; justify-content: center; margin: 2rem 0; box-shadow: .5rem .5rem 3rem rgba(0,0,0,0.2); .btn:active{transform: translateY(0); box-shadow: none;} .btn{padding: 1rem 2.5rem; background-color: #445ae3;border-radius: 2rem;margin: 1rem 0;text-transform: uppercase;color: #eee;font-size: 1.4rem;transition: all .5s} ">
                                    <img src="/static/images/background1.png" th:src="@{images/background1.png}" alt="card background" class="card-img" style="width: 100%; height: 26rem; object-fit: cover; clip-path: polygon(0 0, 100% 0, 99% 73%, 0% 100%);">
                                    <img src="/static/images/profile1.webp" th:src="@{images/profile1.webp}" alt="profile image" class="profile-img" style="width: 15rem; height: 15rem; object-fit: cover; border-radius: 50%; margin-top: -11rem; z-index: 999; border: 1rem solid #ebeef8;">
                                    <h1 th:text="${employee.first_name + ' ' + employee.last_name}" class="text-primary"></h1>
                                    <div class="row">
                                        <div class="col-6">
                                            <p style="color: #777; font-size: 1.5rem; font-weight: 300" class="job-id" th:text="${employee.id}">Id:</p>
                                        </div>
                                        <div class="col-6">
                                            <p style="color: #777; font-size: 1.5rem; font-weight: 300" class="job-number" th:text="${employee.employee_number}"></p>
                                        </div>
                                    </div>
                                    <p style="font-size: 1.5rem; margin: 1.5rem 0; font-style: italic; text-align: center; color: #333" class="info" th:text="${employee.username}"></p>
                                    <p style="font-size: 1.5rem; margin: 1.5rem 0; font-style: italic; text-align: center; color: #333" class="info" th:text="${employee.email}"></p>
                                    <ul class="social-media" style="width: 100%; list-style: none; display: flex; justify-content: space-evenly; padding: 2rem 0; margin-top: 1.5rem; border-top: 1px solid rgba(0,0,0,.1);">
                                        <li><a style="text-decoration: none;color: #fff" href="#"><i style="font-size: 3rem; transition: color .5s; .fa-facebook-square{color: #3b5999}" class="fab fa-facebook-square"></i></a></li>
                                        <li><a style="text-decoration: none;color: #fff" href="#"><i style="font-size: 3rem; transition: color .5s; .fa-twitter-square {color: #55acee;} " class="fab fa-twitter-square"></i></a></li>
                                        <li><a style="text-decoration: none;color: #fff" href="#"><i style="font-size: 3rem; transition: color .5s; .fa-instagram {color: #e6683c;} " class="fab fa-instagram"></i></a></li>
                                        <li><a style="text-decoration: none;color: #fff" href="#"><i style="font-size: 3rem; transition: color .5s; .fa-google-plus-square {color: #dd4b39;} " class="fab fa-google-plus-square"></i></a></li>
                                    </ul>
                                    <a style="padding: 1rem 2.5rem; font-size: 1.4rem; transition: all .5s; text-transform: uppercase; text-decoration: none; border-radius: 2rem; color: #fff; margin: 1rem 0; :hover{transform: translateY(-2px); box-shadow: .5rem .5rem 2rem rgba(0,0,0,.2);}" th:href="${'/employees/' + employee.id + '/edit'}" class="btn btn-outline-success" role="button">Edit Employee</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <a style="padding: 1rem 2.5rem; font-size: 1.4rem; transition: all .5s; text-transform: uppercase; text-decoration: none; border-radius: 2rem; color: #fff; margin: 1rem 0;" href="/employees/add-employee" class="btn btn-outline-primary" role="button">Add Employee</a>
        </div>
    </section>

    <footer th:replace="fragments/footer :: footer"></footer>
</body>
</html>
